"""
Invoice model
"""

from django.db import models

from core.apps.eggs.models import party


class Invoice(models.Model):
    name = models.CharField(max_length=256)
    price = models.DecimalField(max_digits=30, decimal_places=2)
    party_id = models.ForeignKey(
        to=party.Party, on_delete=models.CASCADE, related_name="invoices"
    )

    def __str__(self) -> str:
        return f"{self.name}, {self.price}"

    class Meta:
        verbose_name = "Invoice"
        verbose_name_plural = "Invoices"
        db_table = "invoice"
